<?php

// $Id: install.php 399 2006-12-24 07:50:44Z Ruebenwurzel $

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if(defined('WB_URL')) {
	
	// Set the filename of the actual editor file
	$editor_file = $module_directory.'/htmlarea.zip';
	
	if(file_exists($editor_file)) {
	
		// Setup the PclZip object
		$editor_archive = new PclZip($editor_file);

		// Unzip to module dir
		$list = $editor_archive->extract(PCLZIP_OPT_PATH, $module_directory);
		if(!$list) {
			$admin->print_error($MESSAGE['GENERIC']['CANNOT_UNZIP']);
		}
		// Delete the zip file
		if(file_exists($editor_file)) { unlink($editor_file); }
	
		// Chmod all the editors files
		chmod_directory_contents($module_directory.'/htmlarea', OCTAL_FILE_MODE);
	
	}
	
}

?>